body {
	background-color: #121212;
	font-size: calc(14px + 0.2vw);
	font-family: "Open Sans", Arial, Helvetica, sans-serif;
	overflow: auto;
	align-items: center;
	justify-content: center;
	margin-right: auto;
	margin-left: auto;
	max-width: 1500px;
    margin-bottom: 0px;
}

/* #wrapper { */
	/* max-width: 1500px; */
	/* max-height: 100%; */
	/* background-color: #121212; */
	/* box-sizing: border-box; */
	/* overflow:auto; */
/* } */

/* Don't change color of link after it has been visited */
a {
  color:inherit;
  text-decoration: none;
}

/* formatting for the About, References pages */
p {
  color: black;
  background-color: white;
  max-width: 700px;
  padding: 10px;
  justify-content: center;
  align-items: center;
  margin: 0px;  
  /* margin-left: 250px; */
  margin-left: 25%;

}

h2 {
  color: black;
  background-color: transparent;
  font-size: calc(13px + 0.2vw);
  margin:0;
  padding:0;
}


/* Header bar - includes top banner and gray button bar*/
#header_bar {
max-height: 102px;	
	
}

/* Full width bar with title: "Colorado Wildflowers: A Field Guide" */
header_top_title {
  background-color: #121212;
  font-size: clamp(14px, 2vw, 24px);
  color: #FFC256;
  /* border-top-right-radius: 15px; */
  /* border-top-left-radius: 15px; */
  padding-top: 0px;
  padding-bottom: 0px;
  padding-right: 25px;
  padding-left: 25px;
  overflow:hidden;
  display: none;
  flex-direction: row;
  align-items: center;
  justify-content: center;
  max-height: 50px;
}

header_top_title > img {
	border: none;
	max-width: 30px;
    margin-right: 15px;
	padding-top: 1.3%;
	padding-bottom: 1.9%;
  max-height: 30px;
}

/*Navigation bar*/

nav {
display:block;
}

/*   http://jsfiddle.net/fx4Qd/2/   */
/* responsive font size:  https://www.madebymike.com.au/writing/precise-control-responsive-typography/ */
.nav_button a {
  float: right;
  height: 40px;
  padding-left: 0.8vw;
  padding-right: 0.8vw;
  background-color: #808080;
  text-align: center;
  line-height: 40px;
  color:white;
  font-weight: bold;
  font-size: clamp(14px, 2vw, 20px);
}

nav a img{
  padding-top: 5px;
  padding-bottom: 5px;
  padding-left: 0px;
  padding-right: 0px;
  max-height: 30px;
}

#photos{
  float:left;
  padding-left: 20px;
}

/*
To implement max and min font size when using font vw:
activehttps://stackoverflow.com/questions/40528290/how-to-implement-max-font-size
*/

.nav_button a:hover {
  background-color: #ddd;
  color: black;
  text-decoration: none;
}

.nav_button a.last {
  margin-right: 0px;
}

.clear {
  clear: both;
}

a.button {
  background-color: #808080;
  border: none;
  color: white;
  font-weight: bold;
  padding: 14px 24px;
  float: right; /* Float buttons side by side on right side of page */
  text-decoration: none;
}


#menu-icon {
	display: none;
	width: 40px;
	height: 40px;
}
.menu-icon{
  display: block !important;
  color: #FFF;
  padding-left: 10px;
  font-size: 20px;
}
.nav-bar-1{
  /* width: 70%; */
}
.burger-menu{
  font-size: 20px;
 
}
.nav_button{
  display: flex;
  flex-direction: row-reverse;
  align-items: center;
  background-color: #121212;
  font-size: clamp(14px, 2vw, 24px);
  color: #FFC256;
}
/*-----SEARCH BAR-----*/
#search{
  background-color: whitesmoke;
  padding-left:10px;
  margin:0px;
  border-right-style: solid;
  border-right-color: #121212;
  border-right-width: 1px;
  width:100%;
  overflow:auto;
  max-height:100px;
}

search_bar{
  display: flex;
  flex-direction: row;
  width:100%;
  height:25%;
}

.formField {
  font-size: calc(12px + 0.2vw);
  float: left;
  padding: 5px 15px;
}

.formButton {
  float: left;
  padding: 15px 1.0vw 10px 1.0vw;
}

.search_count{
	float: left;
	padding: 15px 15px 0px 15px;
}

/*-----END SEARCH BAR-----*/


#list_buttons{
  margin-bottom: 0px;
}


.button_listType {
  background-color: gray;
  border: none;
  color: white;
  padding: 5px 1vw;
  margin: 0px;
  width:100%;
  text-align: left;
  text-decoration: none;
  font-size: clamp(12px, 2vw, 20px);
  font-weight: bold;
}

.button_listType:hover {
  background-color: #ddd;
  color: #121212;
}

.button_listType:focus {
  background-color: #585858;
  border: none;
  color:white;
  outline:0;
}


/* CONTENT BELOW SEARCH BAR     */

#content {
	display: flex;
	height: calc(100vh - 110px);
}

/*  LEFT LIST COLUMN */

#left_column{
    display:none;
}

#left_column {
  border-left-style: solid;
  border-left-color: #434343;
  border-left-width: 1px;
  min-width: 20%;
  background-color: #121212;
  height: calc(100vh - 110px);
  overflow-y: auto;
}

#left_column ul{
	/* height:100vh;
	overflow-y:scroll; */
}


#species_list_column {
  background-color: #121212;
  padding-left: 4px;
  padding-right: 4px;
  height:100%;
  overflow-y: scroll;
}

#flowerlist{
	text-indent:-10px;
  padding-left: 13px;
  margin:0px;
  border-width: 0px;
}

#flowerlist ul{
  list-style-type: none;
  padding-left: 3px;
  border-width: 0px;
}

#flowerlist li{
  list-style-type: none;
  padding-left: 3px;
  font-size: clamp(12px 1.0vw 14px);
  border-width: 0px;
  color:whitesmoke;
}

#flowerlist li:hover{
  text-decoration: underline;
  color: rgb(255, 255, 128);
  cursor: pointer;
}


.fam_title hover{
  color: whitesmoke;
  cursor:none;
}



/*  RIGHT CONTENT COLUMN - NESTED   */
#right_column {
  width: 100%;
  border-right-style: solid;
  border-right-color: #434343;
  border-right-width: 1px;
  border-left-style: solid;
  border-left-color: #434343;
  border-left-width: 1px;
  background-color: #121212;
  height: calc(100vh - 110px);
  overflow-y:auto;
}

main{
  background-color: #121212;
  padding:0px;
  margin:0px;
  font-size: calc(13px + 0.2vw);
  height:100%;
}

main p{
  padding-right: 30px;
}

.thumb_div{
  display: flex;
  flex-wrap: wrap;
  padding: 0 5px;
  background-color: #121212;
  color:whitesmoke;
  align-items: center;
  justify-content: center;
  
}

.img_grid_div {
  padding: 0px;
  text-align: center;
}

.img_grid_div li{
  list-style-type: none;
  display: inline-block;
  padding-left: 3px;
  font-size: 16px;
  border-width: 0px;
  color: whitesmoke;
}

.button_thumb {
  background-color: transparent;
  border-width: 0px;
  color: whitesmoke;
  padding: 10px;
  margin: 0px;
}

.button_thumb:hover {
  background-color: gray;
  color: white;
  cursor:pointer;
  text-decoration: underline;
}

.button_thumb:focus {
  background-color: #585858;
  border: none;
  color:white;
  outline:0;
}

#flowerDescription{
  padding-top: 20px;
}

#flowerDescription table {
  border-spacing: 10px 0px;
}

#flowerDescription td {
  color: whitesmoke;
}

#flowerDescription img {
  margin: 4px;
  max-height: 250px;
  height: auto;
  width: auto;
}

#flowerDescription h4 {
  font-weight: normal;
  color: whitesmoke;
  margin-left: 10px;
  max-width: 700px;
  word-wrap: break-word;
}
#flowerDescription h4 a{
  color:#ffba00
}
#flowerDescription h2 {
  color: whitesmoke;
  margin-left: 10px;
  font-weight:200;
}

#flowerDescription p {
  color: whitesmoke;
  width: 100px;
  word-wrap: break-word;
}

.ref a{
  color:blue;
  justify-content: center;
  align-items: center;
}

/* BEGIN -- Footer */
footer {
  background-color: #121212;
  padding: 10px;
  text-align: center;
  color: #FFC040;
  font-size: 20px;
  border-top-color: #FFC040;
  border-top-width: 2px;
  border-top-style: solid;
  border-bottom-right-radius: 15px;
  border-bottom-left-radius: 15px;
  }

footer a:link {
  color: #FFC040;
  text-decoration: none;
}
/* END -- Footer */



.menu {
  display: none;
}

.menu img{
  padding-top: 0px;
  padding-left: 0px;
  padding-right: 0px;
  max-height: 30px;
  display:inline-block;
}

.hamburger {
  display: flex;
}

.cross {
  display: none
}

/*  STYLES FOR ELEMENTS THAT OCCUR ON INDIVIDUAL PAGES  */

.family {
  font-weight: italic;
  color: #FFC040;
}

/* Vegetation zones table on About html page */

.table_container_zones    table {
      border-collapse: collapse;
      width: 100%;
      max-width: 720px;
	  margin:auto;
	  margin-left:25%;
	  margin-right:25%;
	  background-color: white;
    }

.table_container_zones    td {
	  font-family: Arial, sans-serif;
	  font-size: calc(13px + 0.2vw);
      padding: 5px;
      text-align: left;
      vertical-align: top;
	  word-wrap: break-word; 
	  white-space: normal;
    }
	
/* Set the width of each table column */

.table_container_zones    td:nth-child(1) {
      width: 10%;
    }


.table_container_zones    td:nth-child(2) {
      width: 90%;
    }
	
	

/* Hamburger menu on phone */
    .navbar-container .hamburger-lines{
      display: block;
  }

  .navbar-container{
      display: block;
      position: relative;
      height: 45px;
  }

  .navbar-container input[type="checkbox"]{
      position: absolute;
      display: block;
      height: 32px;
      width: 30px;
      top: 6px;
      right: 20px;
      z-index: 5;
      opacity: 0;
      cursor: pointer;
  }

  .navbar-container .hamburger-lines{
      display: block;
      height: 20px;
      width: 26px;
      position: absolute;
      top: 11px;
      right: 20px;
      z-index: 2;
      display: flex;
      flex-direction: column;
      justify-content: space-between;
  }

  .navbar-container .hamburger-lines .line{
      display: block;
      height: 4px;
      width: 100%;
      border-radius: 10px;
      background: #ffffff;
  }
  
  .navbar-container .hamburger-lines .line1{
      transform-origin: 0% 0%;
      transition: transform 0.3s ease-in-out;
  }

  .navbar-container .hamburger-lines .line2{
      transition: transform 0.2s ease-in-out;
  }

  .navbar-container .hamburger-lines .line3{
      transform-origin: 0% 100%;
      transition: transform 0.3s ease-in-out;
  }

/* begin properties of hamburger dropdown menu */

/* menu container and background */

  .nav_button .menu-items{
      padding-top: 50px;
      /*background: #808080;*/
	  background: whitesmoke;
      height: 50vh;
      width: 200px;
      float: right;
      transform: translate(520%);
      display: none;
      flex-direction: column;
      margin-right: -30px;
      padding-left: 30px;
      transition:  0.5s ease-in-out;
      box-shadow:  5px 0px 10px 0px #aaa;
      overflow: scroll;
      align-items: flex-start;
  }
  

  .nav_button .menu-items ul a{
      margin-bottom: 1.8rem;
      font-size: 1.1rem;
      font-weight: 500;
      color: #ddd;
     
  }

  .logo{
      position: absolute;
      top: 10px;
      right: 15px;
      font-size: 2.5rem;
  }

  .navbar-container input[type="checkbox"]:checked ~ .menu-items{
      transform: translate(0,0);
      transition: transform 0.8s;
      float: right;
     display: flex;
      animation:fadeInRight;
      animation-delay: 3s;
     
  }

  .navbar-container input[type="checkbox"]:checked ~ .hamburger-lines .line1{
      transform: rotate(45deg);
  }

  .navbar-container input[type="checkbox"]:checked ~ .hamburger-lines .line2{
      transform: scaleY(0);
  }

  .navbar-container input[type="checkbox"]:checked ~ .hamburger-lines .line3{
      transform: rotate(-45deg);
  }
  

/* page title "Colorado Wildflowers..." properties */
.nav-logo a{
  background-color: #121212;
  font-size: clamp(14px, 2vw, 24px);
  color: #FFC256;
  height: 40px;
}

/* size of flower logo in title bar */
.navbar-container img{
  width: 30px;
}
.nav-logo{
  display: flex;
}

/* isntagram and play store button images */
.nav_button .menu-items img{
  width: auto;
    width: auto;
}

/* background of menu items */
/* separate from properties of entire menu window */
.nav_button .menu-items a{
  display: block;
  background-color:whitesmoke;
  font-size: 20px;
}

/* font color of hamburger menu items */
.nav_button .menu-items a{
  color: black;
}

/* hamburger items links on hover */
.nav_button .menu-items a:hover {
  background-color: #ddd;
  color:blue;
  text-decoration: none;
}
